﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinSchedule;

namespace RecurrencyDialogForm
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            DateRecurrence dr = new DateRecurrence();
            dr.RangeStartDate = DateTime.Today;
            dr.RangeEndDate = DateTime.Today.AddDays(2);
            RecurrenceDialog rd = new RecurrenceDialog(dr);
            rd.ShowDialog();
            if (rd.Result == RecurrenceDialogResult.Ok)
            {
                string message = "You select in recurrency form :" + Environment.NewLine;
                message = message + "PatternDayOfMonth: " + rd.DateRecurrence.PatternDayOfMonth.ToString() + Environment.NewLine;
                message = message + "PatternDaysOfWeek: " + rd.DateRecurrence.PatternDaysOfWeek.ToString() + Environment.NewLine;
                message = message + "PatternDaysOfWeek: " + rd.DateRecurrence.PatternFrequency.ToString() + Environment.NewLine;
                message = message + "PatternInterval: " + rd.DateRecurrence.PatternInterval.ToString() + Environment.NewLine;
                message = message + "RangeStartDate: " + rd.DateRecurrence.RangeStartDate.ToString() + Environment.NewLine;
                message = message + "RangeEndDate: " + rd.DateRecurrence.RangeEndDate.ToString() + Environment.NewLine;
                MessageBox.Show(message);
            }

        }
    }
}
